tinsert(CT_RABoss_ModsToLoad, "CT_RABossSarf_Hakkar_OnLoad");
function CT_RABossSarf_Hakkar_OnLoad()
	CT_RABoss_AddEvent("Hakkar", "CHAT_MSG_MONSTER_YELL", CT_RABossSarf_Hakkar_EventHandler_Yell);
	
	--CHAT_MSG_RAID_BOSS_EMOTE
end

function CT_RABossSarf_Hakkar_EventHandler_Yell()
	if ( not CT_RABoss_Mods["Hakkar"] or not CT_RABoss_Mods["Hakkar"]["status"] or not CT_RABoss_Mods["Hakkar"].enabled ) then
		return;
	end
	if ( not strfind(arg2, CT_RABOSSSARF_HAKKAR_NAME) ) then
		return;
	end
	if ( CT_RABOSSSARF_HAKKAR_START_FIGHT ) and ( strfind(arg1, CT_RABOSSSARF_HAKKAR_START_FIGHT) ) then
		CT_RABossSarf_Hakkar_StartFight();
	--elseif ( UnitName("target") == CT_RABOSSSARF_HAKKAR_NAME ) then
		--CT_RABossSarf_Hakkar_StartFight();
	end
end


function CT_RABossSarf_Hakkar_StartFight()
	if ( not CT_RABoss_Mods["Hakkar"] or not CT_RABoss_Mods["Hakkar"]["status"] or not CT_RABoss_Mods["Hakkar"].enabled ) then
		return;
	end
	
	if ( not CT_RABoss_Mods["Hakkar"]["priorWarning"] ) then
		CT_RABoss_Mods["Hakkar"]["priorWarning"] = 1;
		CT_RABoss_Announce(CT_RABOSS_HAKKAR_LIFEDRAIN, CT_RABoss_Mods["Hakkar"]["announce"]);
		CT_RABoss_PlaySound(3);
		CT_RABoss_Schedule("CT_RABoss_Hakkar_EventHandler", 45, "priorWarning");
		CT_RABoss_Schedule("CT_RABoss_Hakkar_EventHandler", 75, "priorWarning2");
	end
end
CT_RABoss_Hakkar_StartFight = CT_RABossSarf_Hakkar_StartFight;